Skip to main content
PATCH
Update ClickHouse settings
Beta Disclaimer: This beta endpoint is evolving; the API contract may change.

Updates one or more ClickHouse settings for the service. To reset a setting to its platform default, use the DELETE single setting endpoint. Use the schema endpoint to discover which settings are configurable.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service.

Body

application/json
settings
string
required

JSON object of setting names to values. Example: {"compatibility": "24.8"}

Example:

"{\"compatibility\": \"24.8\"}"

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 11, 2026